package com.seeyon.apps.esign;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.esign.constants.EsignConfigConstants;
import org.springframework.stereotype.Component;

@Component
public class EsignPluginApi extends APluginInfoApi {
    public EsignPluginApi() {
    }

    public String getPluginId() {
        System.out.println(EsignConfigConstants.getPluginId());
        return EsignConfigConstants.getPluginId();
    }

    public String getCreateUser() {
        return "橙阳科技";
    }

    public String getDescription() {
        return "E签宝对接封装";
    }

    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        EsignConfigConstants[] var2 = EsignConfigConstants.values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            EsignConfigConstants value = var2[var4];
            if (value != EsignConfigConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }

        return configVo;
    }

}

